Subject: Re: [Bitcoin-development] BIP70: why Google Protocol Buffers for encoding?

From: Gavin Andresen <[email-masked]>
Date: Mon, 19 Jan 2015 15:56:37 -0500

On Mon, Jan 19, 2015 at 3:40 PM, Mike Hearn <[email-masked]> wrote:

> OK, I guess we can boil this down more simply. BIP 70 uses protocol
>> buffers because I designed it and implemented the original prototype (with
>> lots of input from Gavin and an earlier proposal by sipa). I used protocol
>> buffers because, beyond all their nice properties, I used to work at Google
>> and so was very familiar with them.
>>
>
What Mike said. Runner-up for encoding was JSON.

XML+ASN.1 was Right Out, because lots of us hate XML and ASN.1 with a
burning passion. Complexity is the Enemy of Security, and both XML and
ASN.1 are too complex.

-- 
--
Gavin Andresen
Chief Scientist, Bitcoin Foundation
https://www.bitcoinfoundation.org/